# sdp.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/transports.h>`
`#include <opal/mediatype.h>`
`#include <opal/mediafmt.h>`
`#include <rtp/rtp.h>`

Include dependency graph for sdp.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | SDPBandwidth
class | SDPMediaFormat
class | SDPMediaDescription
class | SDPDummyMediaDescription
class | SDPRTPAVPMediaDescription
class | SDPAudioMediaDescription
class | SDPVideoMediaDescription
class | SDPApplicationMediaDescription
class | SDPSessionDescription

## Typedefs

typedef PList< SDPMediaFormat > | SDPMediaFormatList

## Functions

| PARRAY (SDPMediaDescriptionArray, SDPMediaDescription)

## Typedef Documentation

typedef PList<SDPMediaFormat> SDPMediaFormatList

## Function Documentation

PARRAY | ( | SDPMediaDescriptionArray | ,
|  | SDPMediaDescription |  |
| ) |  |  |